
/*
 ============================================================================
 Name        : mywindow.cpp
 Author      : group5
 Version     : 0.1
 Description : Draw Example
 ============================================================================
 */

#include <cmath> // Header for rand()
#include <gtkmm.h>
#include <hildonmm.h>

#include "mywindow.h"
#include "playsound.cpp"

//#include "displayimage.cpp";
/* Class constructor */
MyWindow::MyWindow() :
	m_item_exit("Exit"),
	m_frame_box(false, 10), // homogeneous: false, spacing: 10

	m_button_opt1("COW"),
	m_button_opt2("WOLF"),
	m_button_opt3("TIGER"),
	m_button_opt4("ELEPHANT"),
	m_button_help("HELP")

{
	/* "Quit" menu button */
	m_item_exit.signal_activate().connect(sigc::mem_fun(*this,
				&MyWindow::on_menu_quit));

	/* Clear button */
	m_button_opt1.signal_clicked().connect(sigc::mem_fun(*this,
				&MyWindow::cow_clicked));

	/* Draw box */
	m_button_opt2.signal_clicked().connect(sigc::mem_fun(*this,
				&MyWindow::wolf_clicked));

	/* Clear button */
	m_button_opt3.signal_clicked().connect(sigc::mem_fun(*this,
					&MyWindow::tiger_clicked));

	/* Draw box */
	m_button_opt4.signal_clicked().connect(sigc::mem_fun(*this,
					&MyWindow::elephant_clicked));

	/* Draw box */
	m_button_help.signal_clicked().connect(sigc::mem_fun(*this,
						&MyWindow::on_button_help_clicked));



	/* Attach the menu object to the application */
	set_menu(m_main);

	/* Add items to the menu */
	m_main.append(m_item_exit);
	m_main.show_all();

	/* Attach the menu object to the application */
	set_menu(m_main);

	/* Add the m_frame_box to window: */
	add(m_frame_box);
	//add(cow);
	m_button_box.pack_start(m_button_opt1);
	m_button_box.pack_start(m_button_opt2);
	m_button_box.pack_start(m_button_opt3);
	m_button_box.pack_start(m_button_opt4);

	/* frame_box receives button_box and draw_area: */
	m_frame_box.pack_start(m_button_box, Gtk::PACK_SHRINK);
	m_frame_box.pack_start(picture, Gtk::PACK_SHRINK);

	m_button_box.pack_start(m_button_help);

	picture.set("/root/src/cow.bmp");

	counter = 0;
	/* Make all menu widgets visible */
	show_all();

}

/* Class destructor */
MyWindow::~MyWindow()
{
}

/* Callback methods */
void MyWindow::on_menu_quit()
{
	/* Close the window */
	hide();
}

void MyWindow::cow_clicked()
{

	char *first = "Hello";
	char *second = "/root/src/cow.wav";
	char *own_argv[2];
	own_argv[0]=first;
	own_argv[1]=second;
	//picture.set("/root/src/cow.bmp");
	sound_main(2,own_argv);

	if (counter == 0)
	{

		counter++;
		//proceed to wolf page

		picture.set("/root/src/wolf.bmp");

		m_button_box.reorder_child(m_button_opt1, 1);
		m_button_box.reorder_child(m_button_opt2, 0);
		m_button_box.reorder_child(m_button_opt3, 3);
		m_button_box.reorder_child(m_button_opt4, 2);


	}


}

void MyWindow::wolf_clicked()
{
	//you are wrong voice

	char *first = "Hello";
	char *second = "/root/src/wolf.wav";
	char *own_argv[2];
	own_argv[0]=first;
	own_argv[1]=second;
	sound_main(2,own_argv);

	if (counter == 1)
		{

			counter++;
			//proceed to wolf page

			picture.set("/root/src/tiger.bmp");

			m_button_box.reorder_child(m_button_opt1, 2);
			m_button_box.reorder_child(m_button_opt2, 3);
			m_button_box.reorder_child(m_button_opt3, 1);
			m_button_box.reorder_child(m_button_opt4, 0);


		}

}

void MyWindow::tiger_clicked()
{
	//you are wrong voice

	char *first = "Hello";
	char *second = "/root/src/tiger.wav";
	char *own_argv[2];
	own_argv[0]=first;
	own_argv[1]=second;
	sound_main(2,own_argv);
}

void MyWindow::elephant_clicked()
{
	//you are wrong voice

	char *first = "Hello";
	char *second = "/root/src/elephant.wav";
	char *own_argv[2];
	own_argv[0]=first;
	own_argv[1]=second;
	sound_main(2,own_argv);
}

void MyWindow::on_button_help_clicked()
{
	//voice of cow

	char *first = "Hello";
	char *second = "/root/src/cow.wav";
	char *own_argv[2];
	own_argv[0]=first;
	own_argv[1]=second;
	//picture.set("/root/src/cow.bmp");
	sound_main(2,own_argv);
}


